
<div *ngIf="categoryService.asynCategories | async; let categories; else loading">
  <div class="row">
    <div class="col-lg-12">
      <div class="form-group">
        <div class="custom-control custom-checkbox">
          <div *ngFor="let option of categories; let indx = index">
            <ul class="mb-3" *ngIf="filterCats(option)">
              <li>
                <input 
                  type="checkbox" 
                  class="custom-control-input"
                  [(ngModel)]="selectedCategories[option.identifier]"
                  (change)="changeCategory(option.identifier, $event, option.name)"
                  [name]="'categories'+indx"
                  [id]="option.identifier"
                  data-cy="categories">
                <label class="custom-control-label" [for]="option.identifier">{{option.name}}</label>
              
                <!-- FIRST SUB LAYER -->  
                <div *ngIf="option.subs != undefined && option.subs.length > 0">
                  <ul class="mb-3" *ngFor="let sub of option.subs; let idx = index">
                    <li>
                      <input 
                      type="checkbox" 
                      class="custom-control-input"
                      [(ngModel)]="selectedCategories[sub.identifier]"
                      (change)="changeCategory(sub.identifier, $event, sub.name)"
                      [name]="'categories_'+indx+'_'+idx"
                      [id]="sub.identifier"
                      data-cy="categories">
                      <label class="custom-control-label" [for]="sub.identifier">{{sub.name}}</label>

                      <!-- LAST SUB LAYER -->
                      <div *ngIf="sub.subs != undefined && sub.subs.length > 0">
                        <ul class="mb-3" *ngFor="let s of sub.subs; let i = index">
                          <li>
                              <input 
                              type="checkbox" 
                              class="custom-control-input"
                              [(ngModel)]="selectedCategories[s.identifier]"
                              (change)="changeCategory(s.identifier, $event, s.name)"
                              [name]="'categories_'+indx+'_'+idx+'_'+i"
                              [id]="s.identifier"
                              data-cy="categories">
                            <label class="custom-control-label" [for]="s.identifier">{{s.name}}</label>
                          </li>
                        </ul>
                      </div>
                    </li>
                  </ul>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #loading>Laddar ...</ng-template>
